{%- assign item = item | default: blank -%}
{%- assign attrs = attrs | default: blak -%}
{%- assign class = class | default: blank -%}

{%- capture css -%}
  product-card {{ class }}
{%- endcapture -%}

<div
  class="{{ css | strip }}"
  is="product-card"
  {%- if item != blank -%}
    key="{{ item.id }}"
    product="{%- include 'product-json', item: item -%}"
    decode="true"
  {%- endif -%}
  {%- if attrs != blank %}
    {{ attrs }}
  {%- endif -%}
  inline-template>
  <div>
    <a class="product-card__container" :href="link">
      <div class="product-card__featured ratio mb1 bg-grey-light">
        <div
          is="vue-image"
          css="fit-cover product-card__image"
          :spinner="false"
          :src="featuredImage"
          :alt="title">
          <noscript>
            <a href="{{ item.url }}">
              <img src="{{ item.featuredImage | img_url: 'grande' }}" alt="{{ item.title }}" title="{{ item.title }}">
            </a>
          </noscript>
        </div>
      </div>
      <p class="h5 uppercase align-c" v-html="title">{{ item.title }}</p>
      <p class="p align-c" v-html="price">{{ item.price | money }}</p>
    </a>
  </div>
</div>

{%- assign item = nil -%}
{%- assign attrs = nil -%}
{%- assign class = nil -%}
